# $Revision: 1.32 $, $Date: 2006/05/11 19:08:30 $
Summary:	User-space arp daemon
Summary(pl):	Demon arpd
Name:		arpd
Version:	1.0.2
Release:	12
License:	GPL
Group:		Daemons
# origin, but 404
#Source0:	http://www.loran.com/~layes/arpd/%{name}-%{version}.tar.gz
# working (copy of original package):
#Source0:	http://www.funet.fi/pub/Linux/PEOPLE/Linus/net-source/base/%{name}-%{version}.tar.gz
# but in CVS we probably have some renamed source from Debian (with .orig inside)
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	4b445f5698342c873068a86a18bc3d6a
Source1:	%{name}-init
Patch0:		%{name}-%{version}.debian-patch
Patch1:		%{name}-%{version}.pld-patch
Patch2:		%{name}-makefile-patch
Patch3:		%{name}-more_tables.patch
Patch4:		%{name}-uid.patch
#URL:		http://www.loran.com/~layes/arpd/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	dev >= 2.8.0-4
Requires:	fileutils
Requires:	rc-scripts >= 0.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The ARP daemon moves the management of the ARP (Address Resolution
Protocol) table from kernel to user space. It is useful for sites with
LARGE network segments (256+ systems per segment), because the kernel
hash tables are not optimized to handle this situation. To use the ARP
daemon your kernel needs to have ARPD and NETLINK support enabled. The
standard kernels of PLD lack this support. It shouldn't be run without
that! This version can alocate 4096 entries.

%description -l pl
Demon ARP przekazuje zarzdzanie tablic ARP (Address Resolution
Protocol) z kernel'a do przestrzeni uytkownika. Jest to bardzo
uyteczne dla miejsc o duych segmentach sieci (256+ systemw na
segment), poniewa tablice w jdrze nie s zoptymalizowane na takie
sytuacje. Aby uywa tego demona musisz mie ARPD support oraz NETLINK
support uaktywnione w jdrze. Uwaga! Stanadardowe jdro PLD nie ma
supportu ARPD. Demon nie powinien by startowany bez tego! Ta wersja
potrafi zaakceptowa 4096 pozycji.

%prep
%setup -q -n %{name}-%{version}.orig
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1

%build
%{__make} \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	RPM_OPT_FLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{usr/sbin,etc/rc.d/init.d}

install arpd $RPM_BUILD_ROOT%{_sbindir}/arpd
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/arpd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add arpd
%service arpd restart "arpd daemon"

%preun
if [ "$1" = "0" ]; then
	%service aprd stop
	/sbin/chkconfig --del arpd
fi

%files
%defattr(644,root,root,755)
%doc CHANGES README.html
%attr(754,root,root) %{_sbindir}/arpd
%attr(754,root,root) /etc/rc.d/init.d/arpd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: arpd.spec,v $
Revision 1.32  2006/05/11 19:08:30  glen
- rel 12

Revision 1.31  2006/02/24 15:20:04  glen
- use %service

Revision 1.30  2004/02/23 03:32:51  ankry
- rel. 11

Revision 1.29  2003/12/17 10:21:36  qboosh
- fixed multiline strings in uid patch (needed by gcc 3.3; BTS#791)
- pass proper CC and optflags

Revision 1.28  2003/11/24 11:27:18  speedy
- release 9

Revision 1.27  2003/08/06 16:14:25  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.26  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 05:45:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2002/12/23 13:41:04  qboosh
- some notes about Source0 URL (previous didn't match file from CVS)

Revision 1.23  2002/07/21 15:16:52  blues
- release 8
- new doc

Revision 1.22  2002/04/25 15:48:05  arturs
fixed a small typo

Revision 1.21  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:12:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/11/27 15:54:02  blues
- release 7
- modified patches to allow 4096 entries

Revision 1.18  2001/09/27 10:54:11  qboosh
- added Source URL (from slackware, because original returns 404)

Revision 1.17  2001/09/24 09:43:29  qboosh
- run chkconfig --del only on remove, not upgrade

Revision 1.16  2001/09/06 15:12:21  blues
- require >= dev2.8.0-4

Revision 1.15  2001/08/24 16:07:07  blues
- Release 6
- proper uid patch merged
- removed all redundant user making - now arpd user is not required
- clean-ups
now STB I think...

Revision 1.14  2001/08/14 19:48:54  blues
- back to device in dev - require dev in proper version.
- no more (fake)root buildings...
- arpd-user lost his homedir

Revision 1.13  2001/08/14 18:58:00  blues
- Release 5
- updated uid patch - it uses now arpd device in /var/lib/arpd only
- Simplified %pre/%post - making device in %install instead.
STBR

NOTE: this package must be build with root permisions or using fakeroot!

Revision 1.12  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.9  2001/07/21 16:50:50  blues
- release 4
- removed making device in %post instead require dev >= 2.8.0-3

Revision 1.8  2001/07/17 17:59:39  blues
- nice cosmetics in pre and post

Revision 1.7  2001/07/17 17:51:12  blues
- %preun corrected

Revision 1.6  2001/07/17 17:38:08  blues
- Release 3
- uid.patch added - change daemon uid=40. non-root daemon.

Revision 1.5  2001/06/06 15:21:40  blues
- release 2
- adapterized
- added patch - now you can have 2048 entries in your arp-table

Revision 1.4  2001/03/24 20:34:40  kloczek
- spec adapterized and few cosmetics.
